//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "DBImageEn.hpp"
#include "IEOpenSaveDlg.hpp"
#include "ImageEnIO.hpp"
#include "ImageEnProc.hpp"
#include "ImageEnView.hpp"
#include <Db.hpp>
#include <DBCGrids.hpp>
#include <DBCtrls.hpp>
#include <DBTables.hpp>
#include <ExtCtrls.hpp>
#include <Mask.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel2;
	TButton *New;
	TButton *Del;
	TButton *Button1;
	TButton *Button4;
	TPanel *Panel1;
	TPanel *Panel3;
	TLabel *Label2;
	TBevel *Bevel1;
	TButton *Button2;
	TButton *Button3;
	TComboBox *ComboBox1;
	TButton *Button5;
	TButton *Button6;
	TButton *Button7;
	TButton *Button8;
	TDBCtrlGrid *DBCtrlGrid1;
	TLabel *Label1;
	TDBEdit *DBEdit1;
	TImageEnDBView *ImageEnDBView1;
	TTable *Table1;
	TDataSource *DataSource1;
	TImageEnProc *ImageEnProc1;
	TImageEnIO *ImageEnIO1;
	TOpenImageEnDialog *OpenImageEnDialog1;
	void __fastcall Button2Click(TObject *Sender);
	void __fastcall Button3Click(TObject *Sender);
	void __fastcall Button7Click(TObject *Sender);
	void __fastcall NewClick(TObject *Sender);
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall DelClick(TObject *Sender);
	void __fastcall Button4Click(TObject *Sender);
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall ComboBox1Change(TObject *Sender);
	void __fastcall Table1AfterScroll(TDataSet *DataSet);
	void __fastcall Button5Click(TObject *Sender);
	void __fastcall Button6Click(TObject *Sender);
	void __fastcall Button8Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
